Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class MetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite

    public abstract class MetaClassSite
    extends AbstractCallSite

Call site which holds reference to meta class

Authors:
  Alex Tkachman

Field Summary
`protected MetaClass` | `metaClass`

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`MetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### metaClass

    protected final MetaClass metaClass

Constructor Detail

### MetaClassSite

    public MetaClassSite(CallSite site, MetaClass metaClass)

Copyright © 2003-2010 The Codehaus. All rights reserved.